Bug 180003 - lang/go: problem with databases/gosqlite3
lang/go: problem with databases/gosqlite3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Julien Laffaye
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 13:20 UTC by c.kworr
Modified: 2014-01-11 17:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description c.kworr 2013-06-26 13:20:00 UTC
The prot installs fine, but if port is already installed build step is skipped:

# make clean
===>  Cleaning for gosqlite3-20120330
# make
===>   gosqlite3-20120330 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by gosqlite3-20120330 for building
===>  Extracting for gosqlite3-20120330
=> SHA256 Checksum OK for gosqlite3-20120330.tar.gz.
===>  Patching for gosqlite3-20120330
===>   gosqlite3-20120330 depends on file: /usr/local/bin/go - found
===>   gosqlite3-20120330 depends on file: /usr/local/bin/ccache - found
===>   gosqlite3-20120330 depends on shared library: sqlite3 - found
===>  Configuring for gosqlite3-20120330
===>  Building for gosqlite3-20120330
#

Thus installations step fails as there is nothing to install.
Comment 1 Edwin Groothuis freebsd_committer 2013-06-26 13:20:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-06-26 13:20:07 UTC
Maintainer of databases/gosqlite3,

Please note that PR ports/180003 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180003

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 lichray 2013-06-26 13:31:58 UTC
This is a problem with bsd.go.mk; please forward this PR to lang/go maintainer.

--
Zhihao Yuan, ID lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 4 Mark Linimon freebsd_committer 2013-06-27 00:11:29 UTC
State Changed
From-To: feedback->open

Apparently the problem lies with lang/go.
Comment 5 Julien Laffaye freebsd_committer 2013-06-27 07:51:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jlaffaye

I'll take it.
Comment 6 dfilter freebsd_committer 2014-01-11 17:46:47 UTC
Author: jlaffaye
Date: Sat Jan 11 17:46:33 2014
New Revision: 339441
URL: http://svnweb.freebsd.org/changeset/ports/339441

Log:
  - Change default location of Go packages to LOCALBASE/share/go
    This fixes problems like ports failing to build if the port
    is already installed [1]
  - Bump PORTREVISION of affected ports
  - Support the install target in bsd.go.mk
  - STAGE support for free!
  
  PR:		ports/180003 [1]

Modified:
  head/UPDATING
  head/databases/godis/Makefile
  head/databases/godis/pkg-plist   (contents, props changed)
  head/databases/gosqlite3/Makefile
  head/databases/gosqlite3/pkg-plist   (contents, props changed)
  head/databases/redigo/Makefile
  head/databases/redigo/pkg-plist
  head/devel/go-pretty/Makefile
  head/devel/go-pretty/pkg-plist   (contents, props changed)
  head/devel/goprotobuf/Makefile
  head/devel/goprotobuf/pkg-plist   (contents, props changed)
  head/lang/go/files/bsd.go.mk   (contents, props changed)
  head/net/go.net/Makefile   (contents, props changed)
  head/net/go.net/pkg-plist   (contents, props changed)
  head/security/go.crypto/Makefile
  head/security/go.crypto/pkg-plist   (contents, props changed)
  head/textproc/go-text/Makefile
  head/textproc/go-text/pkg-plist
  head/www/webgo/Makefile
  head/www/webgo/pkg-plist   (contents, props changed)

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/UPDATING	Sat Jan 11 17:46:33 2014	(r339441)
@@ -5,6 +5,21 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20140111:
+  AFFECTS: users of lang/go
+  AUTHOR: jlaffaye@FreeBSD.org
+
+  Third party Go packages installed via the ports tree are no longer installed
+  in GOROOT (PREFIX/go) but in a specific path: PREFIX/share/go
+
+  Affected ports had their PORTREVISION bumped.
+  To reinstall these packages via the ports tree, it is needed to deinstall
+  them first (the build will fail if the `go` command detects that they
+  already exists in GOROOT).
+
+  If you are using these third party Go packages for local Go development,
+  you have to add this new path to your GOPATH environment variable.
+
 20140107:
   AFFECTS: users of Qt 4 ports
   AUTHOR: makc@FreeBSD.org

Modified: head/databases/godis/Makefile
==============================================================================
--- head/databases/godis/Makefile	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/databases/godis/Makefile	Sat Jan 11 17:46:33 2014	(r339441)
@@ -3,24 +3,17 @@
 
 PORTNAME=	godis
 PORTVERSION=	20120405
+PORTREVISION=	1
 CATEGORIES=	databases
 MASTER_SITES=	LOCAL/jlaffaye
 
 MAINTAINER=	gblach@FreeBSD.org
 COMMENT=	A Redis client library written in Go
 
-GO_PKGNAME=	${SUBLIBDIR}/${PORTNAME}
+GO_PKGNAME=	github.com/simonz05/${PORTNAME}
 
-SUBLIBDIR=	github.com/simonz05
-
-NO_STAGE=	yes
-do-install:
-	${MKDIR} ${GO_LOCAL_LIBDIR}/${SUBLIBDIR}
-	${INSTALL_DATA} ${GO_WRKDIR_PKG}/${SUBLIBDIR}/godis.a ${GO_LOCAL_LIBDIR}/${SUBLIBDIR}
-	${MKDIR} ${GO_LOCAL_SRCDIR}/${GO_PKGNAME}
-.for f in godis.go commands.go conn.go
-	${INSTALL_DATA} ${GO_WRKSRC}/${f} ${GO_LOCAL_SRCDIR}/${GO_PKGNAME}
-.endfor
+pre-install:
+	@${RM} ${WRKSRC}/fmt.sh
 
 .include <bsd.port.pre.mk>
 .include "${PORTSDIR}/lang/go/files/bsd.go.mk"

Modified: head/databases/godis/pkg-plist
==============================================================================
--- head/databases/godis/pkg-plist	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/databases/godis/pkg-plist	Sat Jan 11 17:46:33 2014	(r339441)
@@ -1,9 +1,24 @@
-%%GO_LIBDIR%%/github.com/simonz05/godis.a
-%%GO_SRCDIR%%/%%GO_PKGNAME%%/godis.go
+%%GO_LIBDIR%%/%%GO_PKGNAME%%.a
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/LICENSE
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/commands.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/commands_test.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/conn.go
-@dirrmtry %%GO_LIBDIR%%/github.com/simonz05
-@dirrmtry %%GO_LIBDIR%%/github.com
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/example/.gitignore
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/example/Makefile
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/example/list.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/example/string.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/example/transaction.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/godis.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/godis_test.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/pool_test.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/readme.md
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/example
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%
 @dirrmtry %%GO_SRCDIR%%/github.com/simonz05
 @dirrmtry %%GO_SRCDIR%%/github.com
+@dirrmtry %%GO_SRCDIR%%
+@dirrmtry %%GO_LIBDIR%%/github.com/simonz05
+@dirrmtry %%GO_LIBDIR%%/github.com
+@dirrmtry %%GO_LIBDIR%%
+@dirrmtry share/go/pkg
+@dirrmtry share/go

Modified: head/databases/gosqlite3/Makefile
==============================================================================
--- head/databases/gosqlite3/Makefile	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/databases/gosqlite3/Makefile	Sat Jan 11 17:46:33 2014	(r339441)
@@ -3,6 +3,7 @@
 
 PORTNAME=	gosqlite3
 PORTVERSION=	20120330
+PORTREVISION=	1
 CATEGORIES=	databases
 MASTER_SITES=	LOCAL/jlaffaye
 
@@ -11,16 +12,7 @@ COMMENT=	A Go interface for SQLite3
 
 LIB_DEPENDS+=	libsqlite3.so:${PORTSDIR}/databases/sqlite3
 
-GO_PKGNAME=	${SUBLIBDIR}/${PORTNAME}
-
-SUBLIBDIR=	github.com/kuroneko
-
-NO_STAGE=	yes
-do-install:
-	${MKDIR} ${GO_LOCAL_LIBDIR}/${SUBLIBDIR}
-	${INSTALL_DATA} ${GO_WRKDIR_PKG}/${SUBLIBDIR}/gosqlite3.a ${GO_LOCAL_LIBDIR}/${SUBLIBDIR}
-	${MKDIR} ${GO_LOCAL_SRCDIR}/${GO_PKGNAME}
-	(cd ${GO_WRKSRC}/ && ${COPYTREE_SHARE} \* ${GO_LOCAL_SRCDIR}/${GO_PKGNAME})
+GO_PKGNAME=	github.com/kuroneko/${PORTNAME}
 
 .include <bsd.port.pre.mk>
 .include "${PORTSDIR}/lang/go/files/bsd.go.mk"

Modified: head/databases/gosqlite3/pkg-plist
==============================================================================
--- head/databases/gosqlite3/pkg-plist	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/databases/gosqlite3/pkg-plist	Sat Jan 11 17:46:33 2014	(r339441)
@@ -1,4 +1,4 @@
-%%GO_LIBDIR%%/github.com/kuroneko/gosqlite3.a
+%%GO_LIBDIR%%/%%GO_PKGNAME%%.a
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/README
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/backup.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/database.go
@@ -15,8 +15,12 @@
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/sqlite3_test.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/statement.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/table.go
-@dirrmtry %%GO_LIBDIR%%/github.com/kuroneko
-@dirrmtry %%GO_LIBDIR%%/github.com
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%
 @dirrmtry %%GO_SRCDIR%%/github.com/kuroneko
 @dirrmtry %%GO_SRCDIR%%/github.com
+@dirrmtry %%GO_SRCDIR%%
+@dirrmtry %%GO_LIBDIR%%/github.com/kuroneko
+@dirrmtry %%GO_LIBDIR%%/github.com
+@dirrmtry %%GO_LIBDIR%%
+@dirrmtry share/go/pkg
+@dirrmtry share/go

Modified: head/databases/redigo/Makefile
==============================================================================
--- head/databases/redigo/Makefile	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/databases/redigo/Makefile	Sat Jan 11 17:46:33 2014	(r339441)
@@ -3,6 +3,7 @@
 
 PORTNAME=	redigo
 PORTVERSION=	20130702
+PORTREVISION=	1
 CATEGORIES=	databases
 MASTER_SITES=	LOCAL/gblach/
 
@@ -10,17 +11,7 @@ MAINTAINER=	gblach@FreeBSD.org
 COMMENT=	Go client for the Redis database
 
 WRKSRC=		${WRKDIR}/${DISTNAME}/redis
-SUBLIBDIR=	github.com/garyburd/${PORTNAME}
-GO_PKGNAME=	${SUBLIBDIR}/redis
-
-NO_STAGE=	yes
-do-install:
-	${MKDIR} ${GO_LOCAL_LIBDIR}/${SUBLIBDIR}
-	${INSTALL_DATA} ${GO_WRKDIR_PKG}/${SUBLIBDIR}/redis.a ${GO_LOCAL_LIBDIR}/${SUBLIBDIR}
-	${MKDIR} ${GO_LOCAL_SRCDIR}/${GO_PKGNAME}
-.for f in conn.go doc.go log.go pool.go pubsub.go redis.go reply.go scan.go script.go
-	${INSTALL_DATA} ${GO_WRKSRC}/${f} ${GO_LOCAL_SRCDIR}/${GO_PKGNAME}
-.endfor
+GO_PKGNAME=	github.com/garyburd/${PORTNAME}/redis
 
 .include <bsd.port.pre.mk>
 .include "${PORTSDIR}/lang/go/files/bsd.go.mk"

Modified: head/databases/redigo/pkg-plist
==============================================================================
--- head/databases/redigo/pkg-plist	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/databases/redigo/pkg-plist	Sat Jan 11 17:46:33 2014	(r339441)
@@ -1,17 +1,29 @@
-%%GO_LIBDIR%%/github.com/garyburd/redigo/redis.a
+%%GO_LIBDIR%%/%%GO_PKGNAME%%.a
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/conn.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/conn_test.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/doc.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/log.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/pool.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/pool_test.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/pubsub.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/pubsub_test.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/redis.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/reply.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/reply_test.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/scan.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/scan_test.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/script.go
-@dirrm %%GO_LIBDIR%%/github.com/garyburd/redigo
-@dirrmtry %%GO_LIBDIR%%/github.com/garyburd
-@dirrmtry %%GO_LIBDIR%%/github.com
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%
-@dirrm %%GO_SRCDIR%%/github.com/garyburd/redigo
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/script_test.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/test_test.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/zpop_example_test.go
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%
+@dirrmtry %%GO_SRCDIR%%/github.com/garyburd/redigo
 @dirrmtry %%GO_SRCDIR%%/github.com/garyburd
 @dirrmtry %%GO_SRCDIR%%/github.com
+@dirrmtry %%GO_SRCDIR%%
+@dirrmtry %%GO_LIBDIR%%/github.com/garyburd/redigo
+@dirrmtry %%GO_LIBDIR%%/github.com/garyburd
+@dirrmtry %%GO_LIBDIR%%/github.com
+@dirrmtry %%GO_LIBDIR%%
+@dirrmtry share/go/pkg
+@dirrmtry share/go

Modified: head/devel/go-pretty/Makefile
==============================================================================
--- head/devel/go-pretty/Makefile	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/devel/go-pretty/Makefile	Sat Jan 11 17:46:33 2014	(r339441)
@@ -3,26 +3,17 @@
 
 PORTNAME=	go-pretty
 PORTVERSION=	20130510
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	LOCAL/gblach/
 
 MAINTAINER=	gblach@FreeBSD.org
 COMMENT=	Pretty-printing package for go values
 
-BUILD_DEPENDS=	${LOCALBASE}/go/pkg/${OPSYS:L}_${GOARCH}/github.com/kr/text.a:${PORTSDIR}/textproc/go-text
-RUN_DEPENDS=	${LOCALBASE}/go/pkg/${OPSYS:L}_${GOARCH}/github.com/kr/text.a:${PORTSDIR}/textproc/go-text
+BUILD_DEPENDS=	${LOCALBASE}/${GO_LIBDIR}/github.com/kr/text.a:${PORTSDIR}/textproc/go-text
+RUN_DEPENDS=	${LOCALBASE}/${GO_LIBDIR}/github.com/kr/text.a:${PORTSDIR}/textproc/go-text
 
-SUBLIBDIR=	github.com/kr
-GO_PKGNAME=	${SUBLIBDIR}/pretty
-
-NO_STAGE=	yes
-do-install:
-	${MKDIR} ${GO_LOCAL_LIBDIR}/${SUBLIBDIR}
-	${INSTALL_DATA} ${GO_WRKDIR_PKG}/${SUBLIBDIR}/pretty.a ${GO_LOCAL_LIBDIR}/${SUBLIBDIR}
-	${MKDIR} ${GO_LOCAL_SRCDIR}/${GO_PKGNAME}
-.for f in diff.go formatter.go pretty.go zero.go
-	${INSTALL_DATA} ${GO_WRKSRC}/${f} ${GO_LOCAL_SRCDIR}/${GO_PKGNAME}
-.endfor
+GO_PKGNAME=	github.com/kr/pretty
 
 .include <bsd.port.pre.mk>
 .include "${PORTSDIR}/lang/go/files/bsd.go.mk"

Modified: head/devel/go-pretty/pkg-plist
==============================================================================
--- head/devel/go-pretty/pkg-plist	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/devel/go-pretty/pkg-plist	Sat Jan 11 17:46:33 2014	(r339441)
@@ -1,10 +1,19 @@
-%%GO_LIBDIR%%/github.com/kr/pretty.a
-%%GO_SRCDIR%%/github.com/kr/pretty/diff.go
-%%GO_SRCDIR%%/github.com/kr/pretty/formatter.go
-%%GO_SRCDIR%%/github.com/kr/pretty/pretty.go
-%%GO_SRCDIR%%/github.com/kr/pretty/zero.go
-@dirrmtry %%GO_LIBDIR%%/github.com/kr
-@dirrmtry %%GO_LIBDIR%%/github.com
-@dirrm %%GO_SRCDIR%%/github.com/kr/pretty
+%%GO_LIBDIR%%/%%GO_PKGNAME%%.a
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/License
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/Readme
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/diff.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/diff_test.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/example_test.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/formatter.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/formatter_test.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/pretty.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/zero.go
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%
 @dirrmtry %%GO_SRCDIR%%/github.com/kr
 @dirrmtry %%GO_SRCDIR%%/github.com
+@dirrmtry %%GO_SRCDIR%%
+@dirrmtry %%GO_LIBDIR%%/github.com/kr
+@dirrmtry %%GO_LIBDIR%%/github.com
+@dirrmtry %%GO_LIBDIR%%
+@dirrmtry share/go/pkg
+@dirrmtry share/go

Modified: head/devel/goprotobuf/Makefile
==============================================================================
--- head/devel/goprotobuf/Makefile	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/devel/goprotobuf/Makefile	Sat Jan 11 17:46:33 2014	(r339441)
@@ -3,6 +3,7 @@
 
 PORTNAME=	goprotobuf
 PORTVERSION=	20131010
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	http://www.c-s.li/ports/
 
@@ -16,14 +17,6 @@ RUN_DEPENDS=	protoc:${PORTSDIR}/devel/pr
 GO_PKGNAME=	code.google.com/p/goprotobuf
 GO_TARGET=	${GO_PKGNAME}/proto ${GO_PKGNAME}/protoc-gen-go
 
-do-install:
-	${INSTALL_PROGRAM} ${GO_WRKDIR_BIN}/protoc-gen-go ${STAGEDIR}${LOCALBASE}/bin
-	${MKDIR} ${STAGEDIR}${GO_LOCAL_LIBDIR}/${GO_PKGNAME}
-	(cd ${GO_WRKDIR_PKG}/${GO_PKGNAME}/ && ${COPYTREE_SHARE} \* ${STAGEDIR}${GO_LOCAL_LIBDIR}/${GO_PKGNAME})
-	${MKDIR} ${STAGEDIR}${GO_LOCAL_SRCDIR}/${GO_PKGNAME}/proto
-	(cd ${GO_WRKSRC}/proto && ${COPYTREE_SHARE} \*	\
-		${STAGEDIR}${GO_LOCAL_SRCDIR}/${GO_PKGNAME}/proto)
-
 .include <bsd.port.pre.mk>
 .include "${PORTSDIR}/lang/go/files/bsd.go.mk"
 .include <bsd.port.post.mk>

Modified: head/devel/goprotobuf/pkg-plist
==============================================================================
--- head/devel/goprotobuf/pkg-plist	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/devel/goprotobuf/pkg-plist	Sat Jan 11 17:46:33 2014	(r339441)
@@ -1,7 +1,5 @@
 bin/protoc-gen-go
-%%GO_LIBDIR%%/%%GO_PKGNAME%%/protoc-gen-go/descriptor.a
-%%GO_LIBDIR%%/%%GO_PKGNAME%%/protoc-gen-go/generator.a
-%%GO_LIBDIR%%/%%GO_PKGNAME%%/protoc-gen-go/plugin.a
+%%GO_LIBDIR%%/%%GO_PKGNAME%%/proto.a
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/proto/Makefile
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/proto/all_test.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/proto/clone.go
@@ -26,13 +24,15 @@ bin/protoc-gen-go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/proto/text_parser.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/proto/text_parser_test.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/proto/text_test.go
-@dirrm %%GO_LIBDIR%%/%%GO_PKGNAME%%/protoc-gen-go
-@dirrm %%GO_LIBDIR%%/%%GO_PKGNAME%%
-@dirrmtry %%GO_LIBDIR%%/code.google.com/p
-@dirrmtry %%GO_LIBDIR%%/code.google.com
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/proto/testdata
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/proto
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/proto/testdata
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/proto
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%
 @dirrmtry %%GO_SRCDIR%%/code.google.com/p
 @dirrmtry %%GO_SRCDIR%%/code.google.com
 @dirrmtry %%GO_SRCDIR%%
+@dirrmtry %%GO_LIBDIR%%/%%GO_PKGNAME%%
+@dirrmtry %%GO_LIBDIR%%/code.google.com/p
+@dirrmtry %%GO_LIBDIR%%/code.google.com
+@dirrmtry %%GO_LIBDIR%%
+@dirrmtry share/go/pkg
+@dirrmtry share/go

Modified: head/lang/go/files/bsd.go.mk
==============================================================================
--- head/lang/go/files/bsd.go.mk	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/lang/go/files/bsd.go.mk	Sat Jan 11 17:46:33 2014	(r339441)
@@ -33,25 +33,20 @@ CGO_LDFLAGS+=	-L${LOCALBASE}/lib
 
 # Read-only variables
 GO_CMD=		${LOCALBASE}/bin/go
-GOROOT=		${LOCALBASE}/go
-GO_LIBDIR=	go/pkg/freebsd_${GOARCH}
-GO_SRCDIR=	go/src/pkg
-GO_LOCAL_LIBDIR=${LOCALBASE}/${GO_LIBDIR}
-GO_LOCAL_SRCDIR=${LOCALBASE}/${GO_SRCDIR}
+LOCAL_GOPATH=	${LOCALBASE}/share/go
+GO_LIBDIR=	share/go/pkg/freebsd_${GOARCH}
+GO_SRCDIR=	share/go/src
 GO_WRKSRC=	${GO_WRKDIR_SRC}/${GO_PKGNAME}
 GO_WRKDIR_BIN=	${WRKDIR}/bin
 GO_WRKDIR_SRC=	${WRKDIR}/src
 GO_WRKDIR_PKG=	${WRKDIR}/pkg/freebsd_${GOARCH}
 
 BUILD_DEPENDS+=	${GO_CMD}:${PORTSDIR}/lang/go
-GO_ENV+=	GOROOT=${GOROOT}	\
-		GOPATH=${WRKDIR}	\
-		GOARCH=${GOARCH}	\
-		GOOS=${OPSYS:L}		\
+GO_ENV+=	GOPATH="${WRKDIR}:${LOCAL_GOPATH}" \
 		CGO_CFLAGS="${CGO_CFLAGS}" \
 		CGO_LDFLAGS="${CGO_LDFLAGS}"
-PLIST_SUB+=	GO_LIBDIR=${GO_LIBDIR}	\
-		GO_SRCDIR=${GO_SRCDIR}	\
+PLIST_SUB+=	GO_LIBDIR=${GO_LIBDIR} \
+		GO_SRCDIR=${GO_SRCDIR} \
 		GO_PKGNAME=${GO_PKGNAME}
 
 .if !target(post-extract)
@@ -62,5 +57,22 @@ post-extract:
 
 .if !target(do-build)
 do-build:
-	@(cd ${GO_WRKSRC}; ${SETENV} ${GO_ENV} ${GO_CMD} install ${GO_TARGET})
+	@(cd ${GO_WRKSRC}; ${SETENV} ${GO_ENV} ${GO_CMD} install -v ${GO_TARGET})
+.endif
+
+.if !target(do-install)
+do-install:
+.for _TARGET in ${GO_TARGET}
+	@if [ -e "${GO_WRKDIR_PKG}/${_TARGET}.a" ]; then \
+		_TARGET_LIBDIR="${STAGEDIR}/${PREFIX}/${GO_LIBDIR}/${_TARGET:H}"; \
+		${MKDIR} $${_TARGET_LIBDIR}; \
+		${INSTALL_DATA} ${GO_WRKDIR_PKG}/${_TARGET}.a $${_TARGET_LIBDIR}; \
+		_TARGET_SRCDIR="${STAGEDIR}/${PREFIX}/${GO_SRCDIR}/${_TARGET}"; \
+		${MKDIR} $${_TARGET_SRCDIR}; \
+		(cd ${GO_WRKDIR_SRC}/${_TARGET}/ && ${COPYTREE_SHARE} \* $${_TARGET_SRCDIR}); \
+	fi; \
+	if [ -e "${GO_WRKDIR_BIN}/${_TARGET:T}" ]; then \
+		${INSTALL_PROGRAM} ${GO_WRKDIR_BIN}/${_TARGET:T} ${STAGEDIR}/${LOCALBASE}/bin; \
+	fi;
+.endfor
 .endif

Modified: head/net/go.net/Makefile
==============================================================================
--- head/net/go.net/Makefile	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/net/go.net/Makefile	Sat Jan 11 17:46:33 2014	(r339441)
@@ -3,6 +3,7 @@
 
 PORTNAME=	go.net
 PORTVERSION=	20120502
+PORTREVISION=	1
 CATEGORIES=	net devel
 MASTER_SITES=	http://jlaffaye.net/ LOCAL/jlaffaye
 
@@ -14,17 +15,6 @@ GO_TARGET=	${GO_PKGNAME}/dict	\
 		${GO_PKGNAME}/spdy	\
 		${GO_PKGNAME}/websocket
 
-NO_STAGE=	yes
-do-install:
-	${MKDIR} ${GO_LOCAL_LIBDIR}/${GO_PKGNAME}
-.for t in ${GO_TARGET}
-	${INSTALL_DATA} ${GO_WRKDIR_PKG}/${t}.a \
-		${GO_LOCAL_LIBDIR}/${GO_PKGNAME}
-	${MKDIR} ${GO_LOCAL_SRCDIR}/${t}
-	(cd ${GO_WRKDIR_SRC}/${t}/ && ${COPYTREE_SHARE} \* \
-		${GO_LOCAL_SRCDIR}/${t})
-.endfor
-
 .include <bsd.port.pre.mk>
 .include "${PORTSDIR}/lang/go/files/bsd.go.mk"
 .include <bsd.port.post.mk>

Modified: head/net/go.net/pkg-plist
==============================================================================
--- head/net/go.net/pkg-plist	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/net/go.net/pkg-plist	Sat Jan 11 17:46:33 2014	(r339441)
@@ -1,4 +1,3 @@
-@comment $FreeBSD$
 %%GO_LIBDIR%%/%%GO_PKGNAME%%/dict.a
 %%GO_LIBDIR%%/%%GO_PKGNAME%%/spdy.a
 %%GO_LIBDIR%%/%%GO_PKGNAME%%/websocket.a
@@ -15,12 +14,16 @@
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/websocket/server.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/websocket/websocket.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/websocket/websocket_test.go
-@dirrm %%GO_LIBDIR%%/%%GO_PKGNAME%%
-@dirrmtry %%GO_LIBDIR%%/code.google.com/p
-@dirrmtry %%GO_LIBDIR%%/code.google.com
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/dict
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/spdy
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/websocket
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/websocket
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/spdy
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/dict
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%
 @dirrmtry %%GO_SRCDIR%%/code.google.com/p
 @dirrmtry %%GO_SRCDIR%%/code.google.com
+@dirrmtry %%GO_SRCDIR%%
+@dirrmtry %%GO_LIBDIR%%/%%GO_PKGNAME%%
+@dirrmtry %%GO_LIBDIR%%/code.google.com/p
+@dirrmtry %%GO_LIBDIR%%/code.google.com
+@dirrmtry %%GO_LIBDIR%%
+@dirrmtry share/go/pkg
+@dirrmtry share/go

Modified: head/security/go.crypto/Makefile
==============================================================================
--- head/security/go.crypto/Makefile	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/security/go.crypto/Makefile	Sat Jan 11 17:46:33 2014	(r339441)
@@ -2,6 +2,7 @@
 
 PORTNAME=	go.crypto
 PORTVERSION=	20130706
+PORTREVISION=	1
 CATEGORIES=	security devel
 MASTER_SITES=	http://jlaffaye.net/ LOCAL/jlaffaye
 
@@ -19,11 +20,17 @@ GO_TARGET=	${GO_PKGNAME}/bcrypt		\
 		${GO_PKGNAME}/nacl/secretbox	\
 		${GO_PKGNAME}/ocsp		\
 		${GO_PKGNAME}/openpgp		\
+		${GO_PKGNAME}/openpgp/armor	\
+		${GO_PKGNAME}/openpgp/elgamal	\
+		${GO_PKGNAME}/openpgp/errors	\
+		${GO_PKGNAME}/openpgp/packet	\
+		${GO_PKGNAME}/openpgp/s2k	\
 		${GO_PKGNAME}/otr		\
 		${GO_PKGNAME}/pbkdf2		\
 		${GO_PKGNAME}/poly1305		\
 		${GO_PKGNAME}/ripemd160		\
 		${GO_PKGNAME}/salsa20		\
+		${GO_PKGNAME}/salsa20/salsa	\
 		${GO_PKGNAME}/scrypt		\
 		${GO_PKGNAME}/sha3		\
 		${GO_PKGNAME}/ssh		\
@@ -31,17 +38,6 @@ GO_TARGET=	${GO_PKGNAME}/bcrypt		\
 		${GO_PKGNAME}/xtea		\
 		${GO_PKGNAME}/xts
 
-NO_STAGE=	yes
-do-install:
-	${MKDIR} ${GO_LOCAL_LIBDIR}/${GO_PKGNAME}
-	(cd ${GO_WRKDIR_PKG}/ && ${COPYTREE_SHARE} \* \
-		${GO_LOCAL_LIBDIR})
-.for t in ${GO_TARGET}
-	${MKDIR} ${GO_LOCAL_SRCDIR}/${t}
-	(cd ${GO_WRKDIR_SRC}/${t}/ && ${COPYTREE_SHARE} \* \
-		${GO_LOCAL_SRCDIR}/${t})
-.endfor
-
 .include <bsd.port.pre.mk>
 .include "${PORTSDIR}/lang/go/files/bsd.go.mk"
 .include <bsd.port.post.mk>

Modified: head/security/go.crypto/pkg-plist
==============================================================================
--- head/security/go.crypto/pkg-plist	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/security/go.crypto/pkg-plist	Sat Jan 11 17:46:33 2014	(r339441)
@@ -1,4 +1,3 @@
-@comment $FreeBSD$
 %%GO_LIBDIR%%/%%GO_PKGNAME%%/bcrypt.a
 %%GO_LIBDIR%%/%%GO_PKGNAME%%/blowfish.a
 %%GO_LIBDIR%%/%%GO_PKGNAME%%/bn256.a
@@ -178,43 +177,47 @@
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/xtea/xtea_test.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/xts/xts.go
 %%GO_SRCDIR%%/%%GO_PKGNAME%%/xts/xts_test.go
-@dirrm %%GO_LIBDIR%%/%%GO_PKGNAME%%/salsa20
-@dirrm %%GO_LIBDIR%%/%%GO_PKGNAME%%/openpgp
-@dirrm %%GO_LIBDIR%%/%%GO_PKGNAME%%/nacl
-@dirrm %%GO_LIBDIR%%/%%GO_PKGNAME%%
-@dirrmtry %%GO_LIBDIR%%/code.google.com/p
-@dirrmtry %%GO_LIBDIR%%/code.google.com
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/xts
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/xtea
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/twofish
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/ssh/test
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/ssh/terminal
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/ssh
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/sha3
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/scrypt
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/salsa20/salsa
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/salsa20
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/ripemd160
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/poly1305
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/pbkdf2
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/otr
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/openpgp/s2k
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/openpgp/packet
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/openpgp/errors
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/openpgp/elgamal
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/openpgp/clearsign
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/openpgp/armor
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/openpgp
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/ocsp
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/nacl/secretbox
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/nacl/box
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/nacl
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/md4
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/curve25519
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/cast5
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/bn256
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/blowfish
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%/bcrypt
-@dirrm %%GO_SRCDIR%%/%%GO_PKGNAME%%
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/xts
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/xtea
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/twofish
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/ssh/test
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/ssh/terminal
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/ssh
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/sha3
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/scrypt
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/salsa20/salsa
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/salsa20
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/ripemd160
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/poly1305
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/pbkdf2
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/otr
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/openpgp/s2k
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/openpgp/packet
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/openpgp/errors
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/openpgp/elgamal
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/openpgp/clearsign
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/openpgp/armor
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/openpgp
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/ocsp
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/nacl/secretbox
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/nacl/box
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/nacl
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/md4
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/curve25519
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/cast5
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/bn256
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/blowfish
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/bcrypt
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%
 @dirrmtry %%GO_SRCDIR%%/code.google.com/p
 @dirrmtry %%GO_SRCDIR%%/code.google.com
+@dirrmtry %%GO_SRCDIR%%
+@dirrmtry %%GO_LIBDIR%%/%%GO_PKGNAME%%/salsa20
+@dirrmtry %%GO_LIBDIR%%/%%GO_PKGNAME%%/openpgp
+@dirrmtry %%GO_LIBDIR%%/%%GO_PKGNAME%%/nacl
+@dirrmtry %%GO_LIBDIR%%/%%GO_PKGNAME%%
+@dirrmtry %%GO_LIBDIR%%/code.google.com/p
+@dirrmtry %%GO_LIBDIR%%/code.google.com
+@dirrmtry %%GO_LIBDIR%%
+@dirrmtry share/go/pkg
+@dirrmtry share/go

Modified: head/textproc/go-text/Makefile
==============================================================================
--- head/textproc/go-text/Makefile	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/textproc/go-text/Makefile	Sat Jan 11 17:46:33 2014	(r339441)
@@ -3,21 +3,14 @@
 
 PORTNAME=	go-text
 PORTVERSION=	20130502
+PORTREVISION=	1
 CATEGORIES=	textproc
 MASTER_SITES=	LOCAL/gblach/
 
 MAINTAINER=	gblach@FreeBSD.org
 COMMENT=	Go package for manipulating paragraphs of text
 
-SUBLIBDIR=	github.com/kr
-GO_PKGNAME=	${SUBLIBDIR}/text
-
-NO_STAGE=	yes
-do-install:
-	${MKDIR} ${GO_LOCAL_LIBDIR}/${SUBLIBDIR}
-	${INSTALL_DATA} ${GO_WRKDIR_PKG}/${SUBLIBDIR}/text.a ${GO_LOCAL_LIBDIR}/${SUBLIBDIR}
-	${MKDIR} ${GO_LOCAL_SRCDIR}/${GO_PKGNAME}
-	${INSTALL_DATA} ${GO_WRKSRC}/indent.go ${GO_LOCAL_SRCDIR}/${GO_PKGNAME}
+GO_PKGNAME=	github.com/kr/text
 
 .include <bsd.port.pre.mk>
 .include "${PORTSDIR}/lang/go/files/bsd.go.mk"

Modified: head/textproc/go-text/pkg-plist
==============================================================================
--- head/textproc/go-text/pkg-plist	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/textproc/go-text/pkg-plist	Sat Jan 11 17:46:33 2014	(r339441)
@@ -1,7 +1,24 @@
-%%GO_LIBDIR%%/github.com/kr/text.a
-%%GO_SRCDIR%%/github.com/kr/text/indent.go
-@dirrmtry %%GO_LIBDIR%%/github.com/kr
-@dirrmtry %%GO_LIBDIR%%/github.com
-@dirrm %%GO_SRCDIR%%/github.com/kr/text
+%%GO_LIBDIR%%/%%GO_PKGNAME%%.a
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/Readme
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/colwriter/LICENSE
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/colwriter/Readme
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/colwriter/column.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/colwriter/column_test.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/doc.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/indent.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/indent_test.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/mc/Readme
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/mc/mc.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/wrap.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/wrap_test.go
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/mc
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/colwriter
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%
 @dirrmtry %%GO_SRCDIR%%/github.com/kr
 @dirrmtry %%GO_SRCDIR%%/github.com
+@dirrmtry %%GO_SRCDIR%%
+@dirrmtry %%GO_LIBDIR%%/github.com/kr
+@dirrmtry %%GO_LIBDIR%%/github.com
+@dirrmtry %%GO_LIBDIR%%
+@dirrmtry share/go/pkg
+@dirrmtry share/go

Modified: head/www/webgo/Makefile
==============================================================================
--- head/www/webgo/Makefile	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/www/webgo/Makefile	Sat Jan 11 17:46:33 2014	(r339441)
@@ -3,6 +3,7 @@
 
 PORTNAME=	webgo
 PORTVERSION=	0.1.0.${SVNVERSION}
+PORTREVISION=	1
 CATEGORIES=	www
 MASTER_SITES=	LOCAL/jlaffaye
 DISTNAME=	${PORTNAME}-${SVNVERSION}
@@ -12,16 +13,7 @@ COMMENT=	Simplest way to write web appli
 
 SVNVERSION=	20120419
 
-GO_PKGNAME=	${SUBLIBDIR}/web
-
-SUBLIBDIR=	github.com/hoisie
-
-NO_STAGE=	yes
-do-install:
-	${MKDIR} ${GO_LOCAL_LIBDIR}/${SUBLIBDIR}
-	${INSTALL_DATA} ${GO_WRKDIR_PKG}/${SUBLIBDIR}/web.a ${GO_LOCAL_LIBDIR}/${SUBLIBDIR}
-	${MKDIR} ${GO_LOCAL_SRCDIR}/${GO_PKGNAME}
-	(cd ${GO_WRKSRC}/ && ${COPYTREE_SHARE} \* ${GO_LOCAL_SRCDIR}/${GO_PKGNAME})
+GO_PKGNAME=	github.com/hoisie/web
 
 .include <bsd.port.pre.mk>
 .include "${PORTSDIR}/lang/go/files/bsd.go.mk"

Modified: head/www/webgo/pkg-plist
==============================================================================
--- head/www/webgo/pkg-plist	Sat Jan 11 17:38:28 2014	(r339440)
+++ head/www/webgo/pkg-plist	Sat Jan 11 17:46:33 2014	(r339441)
@@ -1,23 +1,27 @@
-%%GO_LIBDIR%%/github.com/hoisie/web.a
-go/src/pkg/%%GO_PKGNAME%%/LICENSE
-go/src/pkg/%%GO_PKGNAME%%/Makefile
-go/src/pkg/%%GO_PKGNAME%%/Readme.md
-go/src/pkg/%%GO_PKGNAME%%/fcgi.go
-go/src/pkg/%%GO_PKGNAME%%/scgi.go
-go/src/pkg/%%GO_PKGNAME%%/status.go
-go/src/pkg/%%GO_PKGNAME%%/web.go
-go/src/pkg/%%GO_PKGNAME%%/web_test.go
-go/src/pkg/%%GO_PKGNAME%%/examples/Makefile
-go/src/pkg/%%GO_PKGNAME%%/examples/arcchallenge.go
-go/src/pkg/%%GO_PKGNAME%%/examples/hello.go
-go/src/pkg/%%GO_PKGNAME%%/examples/logger.go
-go/src/pkg/%%GO_PKGNAME%%/examples/methodhandler.go
-go/src/pkg/%%GO_PKGNAME%%/examples/multipart.go
-go/src/pkg/%%GO_PKGNAME%%/examples/multiserver.go
-go/src/pkg/%%GO_PKGNAME%%/examples/params.go
-@dirrm go/src/pkg/%%GO_PKGNAME%%/examples
-@dirrm go/src/pkg/%%GO_PKGNAME%%
-@dirrmtry go/src/pkg/github.com/hoisie
-@dirrmtry go/src/pkg/github.com/
+%%GO_LIBDIR%%/%%GO_PKGNAME%%.a
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/LICENSE
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/Makefile
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/Readme.md
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/examples/Makefile
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/examples/arcchallenge.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/examples/hello.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/examples/logger.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/examples/methodhandler.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/examples/multipart.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/examples/multiserver.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/examples/params.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/fcgi.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/scgi.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/status.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/web.go
+%%GO_SRCDIR%%/%%GO_PKGNAME%%/web_test.go
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%/examples
+@dirrmtry %%GO_SRCDIR%%/%%GO_PKGNAME%%
+@dirrmtry %%GO_SRCDIR%%/github.com/hoisie
+@dirrmtry %%GO_SRCDIR%%/github.com
+@dirrmtry %%GO_SRCDIR%%
 @dirrmtry %%GO_LIBDIR%%/github.com/hoisie
 @dirrmtry %%GO_LIBDIR%%/github.com
+@dirrmtry %%GO_LIBDIR%%
+@dirrmtry share/go/pkg
+@dirrmtry share/go
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Julien Laffaye freebsd_committer 2014-01-11 17:48:55 UTC
State Changed
From-To: open->closed

A fix has been committed to change the location of Go packages, so 
installed packages do not conflict with the building process.